Package org.apache.sling.distribution.resources

## Class DistributionResourceTypes

- java.lang.Object
- - org.apache.sling.distribution.resources.DistributionResourceTypes

    public class DistributionResourceTypes
    extends Object

constants distribution resource types and paths

### Field Summary

Fields
`static String` `AGENT_LIST_RESOURCE_TYPE`
`static String` `AGENT_QUEUE_ITEM_RESOURCE_TYPE`
`static String` `AGENT_QUEUE_LIST_RESOURCE_TYPE`
`static String` `AGENT_QUEUE_RESOURCE_TYPE`
`static String` `AGENT_RESOURCE_TYPE`
`static String` `DEFAULT_SERVICE_RESOURCE_TYPE`
`static String` `DEFAULT_SETTING_RESOURCE_TYPE`
`static String` `EXPORTER_LIST_RESOURCE_TYPE`
`static String` `EXPORTER_RESOURCE_TYPE`
`static String` `IMPORTER_LIST_RESOURCE_TYPE`
`static String` `IMPORTER_RESOURCE_TYPE`
`static String` `LOG_RESOURCE_TYPE`
`static String` `TRIGGER_LIST_RESOURCE_TYPE`
`static String` `TRIGGER_RESOURCE_TYPE`

### Constructor Summary

Constructors
`DistributionResourceTypes()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_SETTING_RESOURCE_TYPE

    public static final String DEFAULT_SETTING_RESOURCE_TYPE

See Also:
  Constant Field Values

#### DEFAULT_SERVICE_RESOURCE_TYPE

    public static final String DEFAULT_SERVICE_RESOURCE_TYPE

See Also:
  Constant Field Values

#### AGENT_RESOURCE_TYPE

    public static final String AGENT_RESOURCE_TYPE

See Also:
  Constant Field Values

#### AGENT_LIST_RESOURCE_TYPE

    public static final String AGENT_LIST_RESOURCE_TYPE

See Also:
  Constant Field Values

#### AGENT_QUEUE_RESOURCE_TYPE

    public static final String AGENT_QUEUE_RESOURCE_TYPE

See Also:
  Constant Field Values

#### AGENT_QUEUE_LIST_RESOURCE_TYPE

    public static final String AGENT_QUEUE_LIST_RESOURCE_TYPE

See Also:
  Constant Field Values

#### AGENT_QUEUE_ITEM_RESOURCE_TYPE

    public static final String AGENT_QUEUE_ITEM_RESOURCE_TYPE

See Also:
  Constant Field Values

#### LOG_RESOURCE_TYPE

    public static final String LOG_RESOURCE_TYPE

See Also:
  Constant Field Values

#### IMPORTER_RESOURCE_TYPE

    public static final String IMPORTER_RESOURCE_TYPE

See Also:
  Constant Field Values

#### IMPORTER_LIST_RESOURCE_TYPE

    public static final String IMPORTER_LIST_RESOURCE_TYPE

See Also:
  Constant Field Values

#### EXPORTER_RESOURCE_TYPE

    public static final String EXPORTER_RESOURCE_TYPE

See Also:
  Constant Field Values

#### EXPORTER_LIST_RESOURCE_TYPE

    public static final String EXPORTER_LIST_RESOURCE_TYPE

See Also:
  Constant Field Values

#### TRIGGER_RESOURCE_TYPE

    public static final String TRIGGER_RESOURCE_TYPE

See Also:
  Constant Field Values

#### TRIGGER_LIST_RESOURCE_TYPE

    public static final String TRIGGER_LIST_RESOURCE_TYPE

See Also:
  Constant Field Values

### Constructor Detail

#### DistributionResourceTypes

    public DistributionResourceTypes()